
namespace Aitex.Core.RT.IOCore.Interlock.DataProvider;

public class DiValueProvider : IoValueProviderBase<DIAccessor>, IInterlockLimitDataProvider
{
    public DiValueProvider(DIAccessor io) : base(io)
    {
    }
    
    /// <summary>
    /// 返回指定DI的FloatValue。
    /// </summary>
    /// <returns></returns>
    public override object GetValue()
    {
        return Io.Value;
    }
}